For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
    • File Picker
          • The File object
          • GET/files
          • POST/files
          • GET/files/{id}
          • GET/files/{id}/download
          • GET/files/{id}/download/request-meta
          • GET/files/download/request-meta
          • GET/files/meta/post

Get started

  • Overview
  • Introduction
  • Unified API
  • Linked Account
  • Merge Link
  • Use cases

Implementation

  • Sandboxes
  • SDKs
  • API access
  • Syncing data
  • Writing data
  • Data minimization
  • Supplemental data
  • Errors
  • Integration metadata

API reference

  • ATS
  • HRIS
  • Accounting
  • Ticketing
  • CRM
  • File Storage
  • Knowledge Base
  • Chat

Resources

  • Help Center
  • Merge.dev
  • Changelog
© Merge 2026Terms of usePrivacy policy
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsFiles

/files/{id}

GET
/filestorage/v1/files/:id
GET
/api/filestorage/v1/files/:id
$curl -G https://api.merge.dev/api/filestorage/v1/files/id \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -d expand=drive
200Retrieved
1{
2 "id": "45ce474c-dhcj-43a6-754r-629f799f7d68",
3 "remote_id": "12",
4 "created_at": "2021-09-15T00:00:00Z",
5 "modified_at": "2021-10-16T00:00:00Z",
6 "name": "merge_file_storage_launch.docx",
7 "file_url": "https://drive.com/1234",
8 "file_thumbnail_url": "https://drive.com/1234/thumbnail.png",
9 "size": 254,
10 "mime_type": "application/vnd.openxmlformats-officedocument.wordprocessingml.document",
11 "description": "Use common model scopes to redact data returned in Merge's Common Models!",
12 "folder": "8e889422-e086-42dc-b99e-24d732039b0b",
13 "checksum": {
14 "type": "sha256",
15 "content_hash": "e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855"
16 },
17 "permissions": [
18 {
19 "id": "31ce489c-asdf-68b1-754r-629f799f7123",
20 "remote_id": "102895",
21 "created_at": "2020-03-31T00:00:00Z",
22 "modified_at": "2020-06-20T00:00:00Z",
23 "user": "21ce474c-asdf-34a2-754r-629f799f7d12",
24 "group": null,
25 "type": "USER",
26 "roles": [
27 "OWNER"
28 ],
29 "remote_data": null
30 },
31 {
32 "id": "2ea7db93-1ae9-4686-82c9-35c768000736",
33 "remote_id": null,
34 "created_at": "2020-03-31T00:00:00Z",
35 "modified_at": "2020-06-20T00:00:00Z",
36 "user": null,
37 "group": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
38 "type": "GROUP",
39 "roles": [
40 "READ"
41 ],
42 "remote_data": null
43 }
44 ],
45 "drive": "204ca79c-0c86-4f6c-9ca6-61b946a4708a",
46 "remote_created_at": "2022-02-02T00:00:00Z",
47 "remote_updated_at": "2022-02-03T00:00:00Z",
48 "remote_was_deleted": true,
49 "field_mappings": {
50 "organization_defined_targets": {
51 "custom_key": "custom_value"
52 },
53 "linked_account_defined_targets": {
54 "custom_key": "custom_value"
55 }
56 },
57 "remote_data": [
58 {
59 "path": "/files",
60 "data": null
61 }
62 ]
63}

Returns a File object with the given id.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/files

Next

/files/{id}/download

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

expandlist of enumsOptional
Which relations should be returned in expanded form. Multiple relation names should be comma separated without spaces.
Allowed values:
include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

Response

idstringRead-onlyformat: "uuid"
remote_idstring or null

The third-party API ID of the matching object.

created_atdatetimeRead-only
The datetime that this object was created by Merge.
modified_atdatetimeRead-only
The datetime that this object was modified by Merge.
namestring or null<=254 characters
The file's name.
file_urlstring or null<=2000 characters
The URL to access the file.
file_thumbnail_urlstring or null<=2000 characters
The URL that produces a thumbnail preview of the file. Typically an image.
sizelong or null-9223372036854776000-9223372036854776000
The file's size, in bytes.
mime_typestring or null<=128 characters
The file's mime type.
descriptionstring or null<=2000 characters
The file's description.
folderstring or nullformat: "uuid"
The folder that the file belongs to.
checksummap from strings to any or null

This field stores file checksum data. ‘type’ indicates the algorithm (e.g. crc_32, sha1, sha256, quickXor, or md5), and ‘content_hash’ is the unique hash used to verify file integrity and detect alterations.

permissionslist of objects
drivestring or nullformat: "uuid"
The drive that the file belongs to.
remote_created_atdatetime or null
When the third party's file was created.
remote_updated_atdatetime or null
When the third party's file was updated.
remote_was_deletedbooleanRead-only

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.

field_mappingsobject or nullRead-only
remote_datalist of objects or nullRead-only